%načtení dat
clear all
X = [20.1344,17.1356,169.936,12.243,46.0633,149.463];
Y =[12.0581,0,29.4613,0,15.9933,66.5404,32.7441];
Z = [71.2031,36.5034,42.6813,14.7682];

%Y =Y'; % Transpozice -
% sloupce se zobrazuji pro radky matice *
figure(1)
subplot(1,3,1);
a = bar(X);
title ('Kapacita -90 dBm/Hz', 'FontName','Arial','FontSize',20);
text(1:length(X),X,num2str(X'),'vert','bottom','horiz','center'); 
box off
set(gca,'xticklabel',{'n1->n18','n18->n25','n25->n27','n27->n28','n28->n30','n30->n32','FontName','Arial','FontSize',32});
%set(gca,'FontSize',16); %velikost popisků os
xlabel('Přenosové trasy','FontName','Arial','FontSize',18)
ylabel('Přenosová kapacita [Mbps]','FontName','Arial','FontSize',18)


subplot(1,3,2);
b = bar(Y);
title ('Kapacita -70 dBm/Hz', 'FontName','Arial','FontSize',20);
text(1:length(Y),Y,num2str(Y'),'vert','bottom','horiz','center'); 
box off
set(gca,'xticklabel',{'n1->n18','n18->n19','n19->n27','n27->n28','n28->n29','n29->n30','n30->n32','FontName','Arial','FontSize',32});
%set(gca,'FontSize',16); %velikost popisků os
xlabel('Přenosové trasy','FontName','Arial','FontSize',18)
ylabel('Přenosová kapacita [Mbps]','FontName','Arial','FontSize',18)
subplot(1,3,3);


c = bar(Z);

title ('Kapacita rezidenční rušení', 'FontName','Arial','FontSize',20);
text(1:length(Z),Z,num2str(Z'),'vert','bottom','horiz','center'); 
box off
set(gca,'xticklabel',{'n1->n18','n18->n27','n27->n28','n28->n32','FontName','Arial','FontSize',32});
%set(gca,'FontSize',16); %velikost popisků os
xlabel('Přenosové trasy','FontName','Arial','FontSize',18)
ylabel('Přenosová kapacita [Mbps]','FontName','Arial','FontSize',18)
